AI Sync

Dispositions

Update Call Status

PATCHhttps://app.aisync.link/api/disposition/{id}/call-status
Update Call Status
curl --request PATCH \
  --url https://app.aisync.link/api/disposition/MQ==/call-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "call_status": "Answered"
}'
{
  "data": {
    "id": "MQ==",
    "call_status": "Answered"
  },
  "message": "Call status updated successfully",
  "success": true
}

Update Call Status#

Sets the Call Status dropdown value on one disposition. The value must be one of the options from Call Status Options.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 disposition id from List Dispositions

call_statusstringbodyrequired

No, Ringing, Answered, Busy, Canceled, No-answer, In-Progress, Failed, AMD, or Completed

curl --location --request PATCH 'https://app.aisync.link/api/disposition/MQ==/call-status' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --data '{
    "call_status": "Answered"
  }'
data.idstring

Base64 disposition id

data.call_statusstring

The saved call status

Update Call Status - AI Sync